Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Serverless Integrations
  • Comparing with other Yandex Cloud services
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Start
        • Stop
        • Terminate
        • Get
        • GetHistory
        • List
  • Monitoring metrics
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • Execution
  • ExecutionInput
  • Value
  • ListValue
  • ExecutionResult
  • ExecutionError
  1. Workflows API reference
  2. REST
  3. Execution
  4. Get

Workflows Service, REST: Execution.Get

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • Execution
  • ExecutionInput
  • Value
  • ListValue
  • ExecutionResult
  • ExecutionError

Retrieves specified Workflow execution.

HTTP requestHTTP request

GET https://serverless-workflows.api.cloud.yandex.net/workflows/v1/execution/{executionId}

Path parametersPath parameters

Field

Description

executionId

string

Required field. ID of the Workflow execution.

ResponseResponse

HTTP Code: 200 - OK

{
  "execution": {
    "id": "string",
    "workflowId": "string",
    "input": {
      // Includes only one of the fields `inputJson`, `inputValue`
      "inputJson": "string",
      "inputValue": {
        // Includes only one of the fields `nullValue`, `numberValue`, `stringValue`, `boolValue`, `structValue`, `listValue`
        "nullValue": "string",
        "numberValue": "string",
        "stringValue": "string",
        "boolValue": "boolean",
        "structValue": "object",
        "listValue": {
          "values": [
            "object"
          ]
        }
        // end of the list of possible fields
      }
      // end of the list of possible fields
    },
    "result": {
      // Includes only one of the fields `resultJson`
      "resultJson": "string"
      // end of the list of possible fields
    },
    "error": {
      "message": "string",
      "errorCode": "string"
    },
    "status": "string",
    "startedAt": "string",
    "duration": "string"
  }
}

Field

Description

execution

Execution

Required field. Workflow execution details.

ExecutionExecution

Field

Description

id

string

Required field. ID of the Workflow execution. Generated at creation time.

workflowId

string

Required field. ID of the Workflow.

input

ExecutionInput

Input data for the Workflow execution.

result

ExecutionResult

Result of the Workflow execution.

error

ExecutionError

Error details, in case Workflow execution failed.

status

enum (Status)

Required field. Status of the Workflow execution

  • QUEUED: Workflow execution is being queued.
  • RUNNING: Workflow execution is running.
  • PAUSED: Workflow execution is being paused.
  • STOPPED: Workflow execution is stopped.
  • FAILED: Workflow execution is failed.
  • FINISHED: Workflow execution is finished.

startedAt

string (date-time)

Required field. Start timestamp for the Workflow execution.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

duration

string (duration)

Duration of the Workflow execution.

ExecutionInputExecutionInput

Field

Description

inputJson

string

JSON input data for the Workflow execution.

Includes only one of the fields inputJson, inputValue.

inputValue

Value

Input value for the Workflow execution.

Includes only one of the fields inputJson, inputValue.

ValueValue

Field

Description

nullValue

enum (NullValue)

Includes only one of the fields nullValue, numberValue, stringValue, boolValue, structValue, listValue.

numberValue

string

Includes only one of the fields nullValue, numberValue, stringValue, boolValue, structValue, listValue.

stringValue

string

Includes only one of the fields nullValue, numberValue, stringValue, boolValue, structValue, listValue.

boolValue

boolean

Includes only one of the fields nullValue, numberValue, stringValue, boolValue, structValue, listValue.

structValue

object

Includes only one of the fields nullValue, numberValue, stringValue, boolValue, structValue, listValue.

listValue

ListValue

Includes only one of the fields nullValue, numberValue, stringValue, boolValue, structValue, listValue.

ListValueListValue

Field

Description

values[]

Value

ExecutionResultExecutionResult

Field

Description

resultJson

string

JSON result of the Workflow execution.

Includes only one of the fields resultJson.

ExecutionErrorExecutionError

Field

Description

message

string

Error message of the Workflow execution.

errorCode

string

Error code of the Workflow execution.

Was the article helpful?

Previous
Terminate
Next
GetHistory
© 2026 Direct Cursus Technology L.L.C.